Bug 202899 - Spec file license is wrong
Spec file license is wrong
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 19:18 EDT by Bryce
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 03:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce 2006-08-16 19:18:40 EDT
The spec file lists nc as being under the GPL. It is not. It is freeware.

Summary: Reads and writes data across network connections using TCP or UDP.
Name: nc
Version: 1.10
Release: 22
Source0: ftp://ftp.avian.org/src/hacks/nc110.tgz
Source1: http://www.openbsd.org/src/usr.bin/nc/nc.1
Patch0: nc-arm.patch
Patch1: nc-1.10-halfclose.patch
Patch2: nc-proto.patch
Patch3: nc-1.10-timeout.patch
Patch4: netcat-1.10-ranges05.patch
Patch5: nc-1.10-sigalrm.patch
Copyright: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root

(From the readme in the sources)
Netcat is entirely my own creation, although plenty of other code was used as
examples.  It is freely given away to the Internet community in the hope that
it will be useful, with no restrictions except giving credit where it is due.
No GPLs, Berkeley copyrights or any of that nonsense.  The author assumes NO 
responsibility for how anyone uses it.  If netcat makes you rich somehow and
you're feeling generous, mail me a check.  If you are affiliated in any way 
with Microsoft Network, get a life.  Always ski in control.  Comments,
questions, and patches to hobbit@avian.org.
Comment 1 Radek Vokal 2006-08-21 03:00:07 EDT
You're correct, the original version has no copyright at all. The version we
have in fc6/fc5 is modification of the original nc version from OpenBSD and it
has a Copyright. I'm addressing only "real" bugs for RHEL4 so I'm closing this
as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.